Subject: Re: Envelope

From: Tony Skjellum <[email-masked]>
Date: Mon, 14 Jun 93 16:44:54 CDT

All this stuff about "envelopes."  I think it needs to be a noun, because
we need to talk about the kind of information that we expect to be
available when a message is accepted.  Excluding with from discussion
is detrimental.  So, though we do not structure the envelopes specifically
in MPI, they need to exist, and we need to say what's in them (eg,
source information, tag information, context, etc).  

I think we are artificially hamstrung by David's original suggestion.
Calling them message headers or envelopes makes little difference to me,
in the long-run.  

- Tony